/********************************************************
 *
 *  Copyright (c) 2015 Sony Corporation
 *
 ********************************************************/

#ifndef __LBMDRIVER_H__
#define __LBMDRIVER_H__

typedef struct {
    ulong          offset;
    ulong          size;
    void*          buf;
    ulong          area;
} LbmdIoctl_t;

/* Just a magic number for /dev/Altera */
/* See /usr/share/kernel/Documentation/ioctl-number.txt */
/* See /usr/src/kernels/2.6.18-274.17.1.el5-x86_64/include/asm-generic/ioctl.h */
#define IOC_MAGIC 0xFE

#define IOCTL_READ          _IOR(IOC_MAGIC, 1, LbmdIoctl_t)
#define IOCTL_WRITE         _IOW(IOC_MAGIC, 2, LbmdIoctl_t)
#define IOCTL_WAIT_VD       _IOR(IOC_MAGIC, 3, LbmdIoctl_t)

#define DEVICE_NAME    "elb"
#define DEVICE_FILE    "/dev/"DEVICE_NAME

#define IOMAP_LENGTH  (32*1024)

#define LBM_CS2_ADDRESS       (0x90000000)
#define LBM_CS3_ADDRESS       (0xa0000000)
#define LBM_CS2_SIZE          (0x00200000)
#define LBM_CS3_SIZE          (0x00100000)

#define LBM_AREA_CS2          (0)
#define LBM_AREA_CS3          (1)

#endif // __LBMDRIVER_H__
